using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class ViewOrderDetails : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)// این عبارت باعث می شود که دستورات موجود در بلاک فقط یک بار در هنگام لود اولیه صفحه اجرا شوند
        {
            UDF_SetDropItems();
        }
        
    }

    // بر اساس مقدار دراپ داون لیست مقدار دیتا سرس گرید ویو تنظیم می شود
    protected void Btn_ViewUserOrders_Click(object sender, EventArgs e)
    {
        if (int.Parse(Drp_Users.SelectedIndex.ToString()) == 0)
        {
            Grd_AssetUnits.DataSourceID = "LinqDtsOrdersShow";
            Drp_Users.DataBind();
        }
        else
        {
            Grd_AssetUnits.DataSourceID = "LinqDt_Users";
            Drp_Users.DataBind();
        }
        
    }

    // از این متد با استفاده از کلاس ذکر شده برای درج نام کاربری کاربرانی که یک بار سفارش کالا داده اند استفاده می شود
    private void UDF_SetDropItems()
    {
        Class_tblOrders_Users DtUsers = new Class_tblOrders_Users();
        DtUsers.UDF_GetUsersList();
        Drp_Users.DataSource = DtUsers.Dt_UsersNames;
        Drp_Users.DataTextField = "UserName";// فیلدی که اطلاعات از طریق آن در دراپ داون لیست نمایش داده می شود
        Drp_Users.DataValueField = "UserName";
        Drp_Users.DataBind();
    }

    // این متد در زمان کلیک بر روی مشاهده جزئیات در روی گرید ویوی اصلی مربوط به مشاهده سفارشات انبار اجرا می شود
    protected void Grd_AssetUnits_SelectedIndexChanged(object sender, EventArgs e)
    {
        LinqDt_OrderDetails.WhereParameters["OrderID"].DefaultValue = Grd_AssetUnits.SelectedDataKey.Value.ToString();
        Grd_OrderDetails.DataSourceID = "LinqDt_OrderDetails";
    }
}
